org.eclipse.handly.ui.action

## Class HistoryDropDownAction.History<E>

- java.lang.Object
- - org.eclipse.handly.ui.action.HistoryDropDownAction.History<E>

- Type Parameters:
    `E` - the type of history entries
  Enclosing class:
    HistoryDropDownAction<E>

      public abstract static class HistoryDropDownAction.History<E>
      extends java.lang.Object

  Represents the underlying history for the `HistoryDropDownAction`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `History()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract E` | `getActiveEntry()` Returns the history entry currently designated as 'active'.
    `abstract java.util.List<E>` | `getHistoryEntries()` Returns a list of the history entries.
    `abstract org.eclipse.jface.resource.ImageDescriptor` | `getImageDescriptor(E entry)` Returns an image descriptor for the given history entry.
    `abstract java.lang.String` | `getLabel(E entry)` Returns a user-readable text label for the given history entry.
    `abstract void` | `setActiveEntry(E entry)` Designates the given history entry as the currently 'active' entry.
    `abstract void` | `setHistoryEntries(java.util.List<E> entries)` Replaces the history entries with the given entries.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### History

          public History()

  - ### Method Detail

    - #### getHistoryEntries

          public abstract java.util.List<E> getHistoryEntries()

      Returns a list of the history entries. The list will not be modified or retained by the caller.
      Returns:
        the history entries (not `null`, may be empty, must not contain nulls)

    - #### setHistoryEntries

          public abstract void setHistoryEntries(java.util.List<E> entries)

      Replaces the history entries with the given entries.
      Parameters:
        `entries` - never `null`, may be empty, does not contain nulls

    - #### getActiveEntry

          public abstract E getActiveEntry()

      Returns the history entry currently designated as 'active'.
      Returns:
        the active entry (may be `null`)

    - #### setActiveEntry

          public abstract void setActiveEntry(E entry)

      Designates the given history entry as the currently 'active' entry. This method should not throw an exception if for some reason the given entry cannot be made active.
      Parameters:
        `entry` - never `null`

    - #### getLabel

          public abstract java.lang.String getLabel(E entry)

      Returns a user-readable text label for the given history entry.
      Parameters:
        `entry` - never `null`
      Returns:
        the text label for the entry (not `null`)

    - #### getImageDescriptor

          public abstract org.eclipse.jface.resource.ImageDescriptor getImageDescriptor(E entry)

      Returns an image descriptor for the given history entry.
      Parameters:
        `entry` - never `null`
      Returns:
        the image descriptor for the entry (may be `null`)

Copyright (c) 2014, 2020 1C-Soft LLC and others. Made available under the Eclipse Public License 2.0